关于解决Andorid的RecyclerView在V7包下找不到的问题

版权声明:本文为博主原创文章,遵循 CC 4.0 by-sa 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/z784561257/article/details/80308094

刚开始到app/build.gradle文件中加了一句:
compile 'com.android.support:recyclerview-v7:25.3.1'

可是还是一直报错,说是找不到这个版本,可是在这个路径(F:\Android\sdk\extras\android\m2repository\com\android\support\recyclerview-v7)下确实有这个版本的。

这个问题搞的我心烦,最后就瞎搞。竟然解决了,说实话我都不知道怎么好的,具体的步骤如下:
1.打开file——>project Structure,选中app,点击右上角的Dependencies。

2.然后按图中操作。
3.在上图中的第二步中,有三个选项,选第一个。找到要添加的那个如图所示,我添加上后还是有错,我感觉是和appcompat的版本不同,所以我修改了版本,与appcompat的版本相同。最后竟然不显示错误了,好神奇。

                                    
展开阅读全文

没有更多推荐了,返回首页